import dynamix_sdk.base as _base


class CloudapiComputeAffinityRulesClearResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAffinityRulesClearProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def affinity_rules_clear(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeAffinityRulesClearResultBool:
        ...
